For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • POSTCreate an application
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementApplications

Create an application

POST
https://api.middesk.com/v1/partner/applications
POST
/v1/partner/applications
$curl -X POST https://api.middesk.com/v1/partner/applications \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "company_id": "123-abc-456"
>}'
1{
2 "object": "object",
3 "id": "id",
4 "company_id": "company_id",
5 "status": "status",
6 "invite_link": "invite_link"
7}
Was this page helpful?
Previous

Create a company

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
company_idstringOptionalformat: "uuid"
Company ID
company_external_idstringOptional
Company external ID
redirect_uristringOptionalformat: "uri"
Redirect URI
redirect_back_uristringOptionalformat: "uri"
Redirect back URI

Response

application created
objectstring
idstringformat: "uuid"
company_idstringformat: "uuid"
statusstring
invite_linkstringformat: "uri"

Errors

422
Create Application Request Unprocessable Entity Error